Bug 106778 - kernel BUG at dcache.c:350!
kernel BUG at dcache.c:350!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 10:40 EDT by Rick
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-04 23:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick 2003-10-10 10:40:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030728
Mozilla Firebird/0.6.1

Description of problem:
System stopped responding (although firewall/NAT still operational, but UI not
and could not SSH into system).

(from log):

Oct 10 04:02:31 chocolate kernel: ------------[ cut here ]------------
Oct 10 04:02:31 chocolate kernel: kernel BUG at dcache.c:350!
Oct 10 04:02:31 chocolate kernel: invalid operand: 0000
Oct 10 04:02:31 chocolate kernel: ide-cd cdrom es1371 gameport ac97_codec
soundcore parport_pc lp parport autofs ipt_MASQUERADE ipt_LOG ipt_state
ip_nat_ftp iptable_nat ip_conntrack_irc ip_con
Oct 10 04:02:31 chocolate kernel: CPU:    0
Oct 10 04:02:31 chocolate kernel: EIP:    0010:[<c01572cf>]    Not tainted
Oct 10 04:02:31 chocolate kernel: EFLAGS: 00010202
Oct 10 04:02:31 chocolate kernel:
Oct 10 04:02:31 chocolate kernel: EIP is at prune_dcache [kernel] 0x4f (2.4.20-20.8)
Oct 10 04:02:31 chocolate kernel: eax: 00000010   ebx: c4a68d98   ecx: c4a68000
  edx: c4a68e18
Oct 10 04:02:31 chocolate kernel: esi: c4a68d80   edi: c4a5bd80   ebp: 00000074
  esp: c1de9f98
Oct 10 04:02:31 chocolate kernel: ds: 0018   es: 0018   ss: 0018
Oct 10 04:02:31 chocolate kernel: Process kswapd (pid: 4, stackpage=c1de9000)
Oct 10 04:02:31 chocolate kernel: Stack: c1c92700 c4a68d00 c1de8000 000001d0
c1de8235 0008e000 c01576e4 00000614
Oct 10 04:02:31 chocolate kernel:        c013913a 00000006 000001d0 00000000
c1de8000 00000000 c1de8235 c01393c3
Oct 10 04:02:31 chocolate kernel:        000001d0 00000002 000001d0 00010f00
c40effa0 c0105000 c010741e 00000000
Oct 10 04:02:31 chocolate kernel: Call Trace:   [<c01576e4>]
shrink_dcache_memory [kernel] 0x24 (0xc1de9fb0))
Oct 10 04:02:31 chocolate kernel: [<c013913a>] do_try_to_free_pages_kswapd
[kernel] 0x1a (0xc1de9fb8))
Oct 10 04:02:31 chocolate kernel: [<c01393c3>] kswapd [kernel] 0x83 (0xc1de9fd4))
Oct 10 04:02:31 chocolate kernel: [<c0105000>] stext [kernel] 0x0 (0xc1de9fec))
Oct 10 04:02:31 chocolate kernel: [<c010741e>] arch_kernel_thread [kernel] 0x2e
(0xc1de9ff0))
Oct 10 04:02:31 chocolate kernel: [<c0139340>] kswapd [kernel] 0x0 (0xc1de9ff8))
Oct 10 04:02:31 chocolate kernel:
Oct 10 04:02:31 chocolate kernel:
Oct 10 04:02:31 chocolate kernel: Code: 0f 0b 5e 01 1d d1 25 c0 8d 43 f8 8b 48
04 8b 53 f8 89 11 89


Version-Release number of selected component (if applicable):
kernel-2.4.20-20.8

How reproducible:
Didn't try

Steps to Reproduce:
Happened at night...

Additional info:
Comment 1 Dave Jones 2004-01-04 23:03:28 EST
Try the 2.4.20-27 errata kernel, which fixes various problems. If that
doesn't work, you're out of luck, as RHL8 is EOL since Jan 1st.

Note You need to log in before you can comment on or make changes to this bug.